Page MenuHomePhabricator

Add "load more" button to Tool Labs interface for Plagiabot
Closed, ResolvedPublic3 Estimate Story Points

Description

After scrolling past the first 50 results in the Tool Labs interface, there's a Load More button. Clicking the button makes it load another 50 results. It should show a spinner at the bottom while it's loading.

See https://en.wikipedia.org/wiki/Special:NewPagesFeed for an example. You may want to use http://imakewebthings.com/waypoints/ to trigger the loading.

Event Timeline

kaldari created this task.Apr 11 2016, 3:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2016, 3:53 PM
kaldari triaged this task as Medium priority.Apr 11 2016, 3:53 PM
kaldari moved this task from New & TBD Tickets to Estimated on the Community-Tech board.

If infinite scrolling is really essential, please at least make sure that users can get to see the footer.

DannyH added a subscriber: DannyH.Apr 16 2016, 12:19 AM
DannyH updated the task description. (Show Details)May 3 2016, 5:28 PM
DannyH updated the task description. (Show Details)May 3 2016, 5:32 PM
kaldari renamed this task from Add infinite scrolling to Tool Labs interface for Plagiabot to Add "load more" button to Tool Labs interface for Plagiabot.May 3 2016, 5:34 PM
DannyH set the point value for this task to 3.May 3 2016, 5:38 PM

If infinite scrolling is really essential, please at least make sure that users can get to see the footer.

We decided against infinite scrolling. Having a button instead.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 18 2016, 8:56 PM
Niharika claimed this task.Jun 14 2016, 2:27 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

There's a bug - it doesn't work with Filters yet.

Fixed to work with filters. Can be tested at: http://tools.wmflabs.org/plagiabot/?filter=noaction

kaldari closed this task as Resolved.Jun 26 2016, 8:57 AM
kaldari moved this task from Needs Review/Feedback to Q3 2018-19 on the Community-Tech-Sprint board.
kaldari moved this task from Q3 2018-19 to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Estimated to Archive on the Community-Tech board.Jul 5 2016, 8:39 PM
MusikAnimal moved this task from Backlog to Done on the CopyPatrol board.Dec 6 2016, 5:25 AM